> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/config/server/{configId}

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/config/server/{configId}
```

where `{configId}` is the ID of a Safe Share Administration-only property (not related to theming Safe Share's interfaces).

## Supported methods and overview&#x20;

* `GET` - used to retrieve the value of a configurable [Safe Share Administration-only property](/3.3/admin-platform/configuring-platform-administration-properties.md) (specified by `configId`).
* `PUT` - used to modify the value of a configurable Safe Share Administration-only property (not related to theming Safe Share's interfaces).

> [!NOTE]
>
> The `GET` method takes no parameters.

## Detailed description&#x20;

This API endpoint serves a number of purposes:

* Retrieves the value of a configurable Safe Share Administration-only property (specified by `configId`). Such a Safe Share Administration property's ID can be obtained by calling the [\<access-service>/api/v1/config/server](/3.3/api/access-service-api-v1-config-server.md) API endpoint, which retrieves a list of information for all configurable Safe Share Administration properties (not related to theming Safe Share's interfaces). \

  **Tip:** All information returned in the [response](/3.3/api/access-service-api-v1-config-server-configid.md#access-service-api-v1-config-server-configid-returns) from a `GET` request to this API endpoint is also returned in the [response](/3.3/api/access-service-api-v1-config-server.md#access-service-api-v1-config-server-returns) from the [\<access-service>/api/v1/config/server](/3.3/api/access-service-api-v1-config-server.md) endpoint. Therefore, if you already have a configurable Safe Share Administration-only property's ID, there is no need to call the `GET` method on this API endpoint.
* Modifies the value of a configurable Safe Share Administration-only property (not related to theming Safe Share's interfaces).

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/3.3/admin-platform/administering-platform-administrator-users.md#platform-administrators-and-user-roles) (as described in the [Safe Share Administrator's Guide](/3.3/admin-platform.md)):

* [Safe Share administrator](/3.3/admin-platform/administering-platform-administrator-users.md#platform-administrator-role)

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the [header](/3.3/api/access-service-api-v1-config-server-configid.md#access-service-api-v1-config-server-configid-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

The following header is required if the body of the request has a JSON object:

* `Content-Type: application/json`

## Parameters&#x20;

The following optional parameter can also be sent in the **body** of the PUT request, as an individual member of a **JSON object**:

* **propertyValue** - The value to set for the configurable Safe Share Administration-only property (specified by `{configId}` in the request's URL). \

  **Example (request - modifying the 'Minimum Password Length' property whose `configId` value is `1`):**

  ```json theme={null}
  {
    "propertyValue": 7
  }
  ```

Although omitting the **propertyValue** parameter above in a request serves no purpose, an empty **JSON object** must at least be passed in the **body** of PUT requests to this endpoint for a successful response:

* `{}`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

* **modified** - .
* **propertyName** - .
* **grouping** - .
* **propertyDescription** - .
* **configGroup** - .
* **id** - .
* **propertyValue** - . \

  **Example (response):**

  ```json theme={null}
  {
      "modified": "2016-10-12T03:19:15.644Z",
      "propertyName": "password.length.min",
      "grouping": "PASSWORD_PROPERTIES",
      "propertyDescription": "db.configuration.minimumPasswordLength",
      "configGroup": "PASSWORD_PROPERTIES",
      "id": "1",
      "propertyValue": {
          "value": "7"
      }
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.